Index: palm/trunk/SOURCE/netcdf_data_input_mod.f90
===================================================================
--- palm/trunk/SOURCE/netcdf_data_input_mod.f90	(revision 3019)
+++ palm/trunk/SOURCE/netcdf_data_input_mod.f90	(revision 3036)
@@ -986,13 +998,13 @@
                 CALL get_variable( id_surf, 'npavement_pars',                  &
                                    pavement_pars_f%pars )
-   
+
                 DO  i = nxl, nxr
                    DO  j = nys, nyn
                       CALL get_variable( id_surf, 'pavement_pars', i, j,       &
-                                         pavement_pars_f%pars_xy(:,j,i) )   
+                                         pavement_pars_f%pars_xy(:,j,i) )
                    ENDDO
                 ENDDO
              ELSE
-                pavement_pars_f%from_file = .FALSE. 
+                pavement_pars_f%from_file = .FALSE.
              ENDIF
 
@@ -1001,8 +1013,8 @@
              IF ( check_existence( var_names, 'pavement_subsurface_pars' ) )   &
              THEN
-                pavement_subsurface_pars_f%from_file = .TRUE. 
+                pavement_subsurface_pars_f%from_file = .TRUE.
                 CALL get_attribute( id_surf, char_fill,                        &
                                     pavement_subsurface_pars_f%fill,           &
-                                    .FALSE., 'pavement_subsurface_pars' )  
+                                    .FALSE., 'pavement_subsurface_pars' )
 !
 !--             Inquire number of parameters
@@ -1011,9 +1023,9 @@
                                            'npavement_subsurface_pars' )
 !
-!--             Inquire number of soil layers 
+!--             Inquire number of soil layers
                 CALL get_dimension_length( id_surf,                            &
                                            pavement_subsurface_pars_f%nz,      &
                                            'zsoil' )
-!            
+!
 !--             Allocate dimension array and input array for pavement parameters
                 ALLOCATE( pavement_subsurface_pars_f%pars                      &
@@ -1027,5 +1039,5 @@
                 CALL get_variable( id_surf, 'npavement_subsurface_pars',       &
                                    pavement_subsurface_pars_f%pars )
-   
+
                 DO  i = nxl, nxr
                    DO  j = nys, nyn
@@ -1035,9 +1047,9 @@
                                   pavement_subsurface_pars_f%pars_xyz(:,:,j,i),&
                                   pavement_subsurface_pars_f%nz,               &
-                                  pavement_subsurface_pars_f%np )   
+                                  pavement_subsurface_pars_f%np )
                    ENDDO
                 ENDDO
              ELSE
-                pavement_subsurface_pars_f%from_file = .FALSE. 
+                pavement_subsurface_pars_f%from_file = .FALSE.
              ENDIF
 
@@ -1046,5 +1058,5 @@
 !--          Read vegetation parameters and related information
              IF ( check_existence( var_names, 'vegetation_pars' ) )  THEN
-                vegetation_pars_f%from_file = .TRUE. 
+                vegetation_pars_f%from_file = .TRUE.
                 CALL get_attribute( id_surf, char_fill,                        &
                                     vegetation_pars_f%fill,                    &
@@ -1054,5 +1066,5 @@
                 CALL get_dimension_length( id_surf, vegetation_pars_f%np,      &
                                            'nvegetation_pars' )
-!            
+!
 !--             Allocate dimension array and input array for surface fractions
                 ALLOCATE( vegetation_pars_f%pars(0:vegetation_pars_f%np-1) )
@@ -1068,5 +1080,5 @@
                                    vegetation_pars_f%pars_xy(:,nys:nyn,nxl:nxr ) )
              ELSE
-                vegetation_pars_f%from_file = .FALSE. 
+                vegetation_pars_f%from_file = .FALSE.
              ENDIF
 
@@ -1074,12 +1086,12 @@
 !--          Read root parameters/distribution and related information
              IF ( check_existence( var_names, 'soil_pars' ) )  THEN
-                soil_pars_f%from_file = .TRUE. 
+                soil_pars_f%from_file = .TRUE.
                 CALL get_attribute( id_surf, char_fill,                        &
-                                    soil_pars_f%fill,                          & 
-                                    .FALSE., 'soil_pars' ) 
+                                    soil_pars_f%fill,                          &
+                                    .FALSE., 'soil_pars' )
 
                 CALL get_attribute( id_surf, char_lod,                         &
                                     soil_pars_f%lod,                           &
-                                    .FALSE., 'soil_pars' ) 
+                                    .FALSE., 'soil_pars' )
 
 !
@@ -1106,11 +1118,11 @@
 !
 !--             Read soil parameters, depending on level of detail
-                IF ( soil_pars_f%lod == 1 )  THEN      
+                IF ( soil_pars_f%lod == 1 )  THEN
                    ALLOCATE( soil_pars_f%pars_xy(0:soil_pars_f%np-1,           &
-                                                 nys:nyn,nxl:nxr) )       
+                                                 nys:nyn,nxl:nxr) )
                    DO  i = nxl, nxr
                       DO  j = nys, nyn
                          CALL get_variable( id_surf, 'soil_pars', i, j,        &
-                                            soil_pars_f%pars_xy(:,j,i) ) 
+                                            soil_pars_f%pars_xy(:,j,i) )
                       ENDDO
                    ENDDO
@@ -1124,10 +1136,10 @@
                          CALL get_variable( id_surf, 'soil_pars', i, j,        &
                                             soil_pars_f%pars_xyz(:,:,j,i),     &
-                                            soil_pars_f%nz, soil_pars_f%np )  
+                                            soil_pars_f%nz, soil_pars_f%np )
                       ENDDO
                    ENDDO
                 ENDIF
              ELSE
-                soil_pars_f%from_file = .FALSE. 
+                soil_pars_f%from_file = .FALSE.
              ENDIF
 
@@ -1135,14 +1147,14 @@
 !--          Read water parameters and related information
              IF ( check_existence( var_names, 'water_pars' ) )  THEN
-                water_pars_f%from_file = .TRUE. 
+                water_pars_f%from_file = .TRUE.
                 CALL get_attribute( id_surf, char_fill,                        &
                                     water_pars_f%fill,                         &
-                                    .FALSE., 'water_pars' )  
+                                    .FALSE., 'water_pars' )
 !
 !--             Inquire number of water parameters
-                CALL get_dimension_length( id_surf,                            & 
+                CALL get_dimension_length( id_surf,                            &
                                            water_pars_f%np,                    &
                                            'nwater_pars' )
-!            
+!
 !--             Allocate dimension array and input array for water parameters
                 ALLOCATE( water_pars_f%pars(0:water_pars_f%np-1) )
@@ -1156,17 +1168,17 @@
                    DO  j = nys, nyn
                       CALL get_variable( id_surf, 'water_pars', i, j,          &
-                                         water_pars_f%pars_xy(:,j,i) )   
+                                         water_pars_f%pars_xy(:,j,i) )
                    ENDDO
                 ENDDO
              ELSE
-                water_pars_f%from_file = .FALSE. 
+                water_pars_f%from_file = .FALSE.
              ENDIF
 !
 !--          Read root area density - parametrized vegetation
-             IF ( check_existence( var_names, 'root_area_density_lsm' ) )  THEN
+             IF ( check_existence( var_names, 'root_area_dens_s' ) )  THEN
                 root_area_density_lsm_f%from_file = .TRUE.
                 CALL get_attribute( id_surf, char_fill,                        &
                                     root_area_density_lsm_f%fill,              &
-                                    .FALSE., 'root_area_density_lsm' )
+                                    .FALSE., 'root_area_dens_s' )
 !
 !--             Obtain number of soil layers from file and allocate variable
@@ -1181,7 +1193,7 @@
                 DO  i = nxl, nxr
                    DO  j = nys, nyn
-                      CALL get_variable( id_surf, 'root_area_density_lsm',     &
+                      CALL get_variable( id_surf, 'root_area_dens_s',          &
                                          i, j,                                 &
-                                         root_area_density_lsm_f%var(:,j,i) )   
+                                         root_area_density_lsm_f%var(:,j,i) )
                    ENDDO
                 ENDDO
@@ -1193,8 +1205,8 @@
 !--          Read street type and street crossing
              IF ( check_existence( var_names, 'street_type' ) )  THEN
-                street_type_f%from_file = .TRUE. 
+                street_type_f%from_file = .TRUE.
                 CALL get_attribute( id_surf, char_fill,                        &
                                     street_type_f%fill, .FALSE.,               &
-                                    'street_type' )  
+                                    'street_type' )
 !
 !--             PE-wise reading of 2D pavement type.
@@ -1202,5 +1214,5 @@
                 DO  i = nxl, nxr
                    CALL get_variable( id_surf, 'street_type',                  &
-                                      i, street_type_f%var(:,i) )  
+                                      i, street_type_f%var(:,i) )
                 ENDDO
              ELSE
@@ -1209,8 +1221,8 @@
 
              IF ( check_existence( var_names, 'street_crossing' ) )  THEN
-                street_crossing_f%from_file = .TRUE. 
+                street_crossing_f%from_file = .TRUE.
                 CALL get_attribute( id_surf, char_fill,                        &
                                     street_crossing_f%fill, .FALSE.,           &
-                                    'street_crossing' )  
+                                    'street_crossing' )
 !
 !--             PE-wise reading of 2D pavement type.
@@ -1218,5 +1230,5 @@
                 DO  i = nxl, nxr
                    CALL get_variable( id_surf, 'street_crossing',              &
-                                      i, street_crossing_f%var(:,i) )  
+                                      i, street_crossing_f%var(:,i) )
                 ENDDO
              ELSE
@@ -1244,6 +1256,6 @@
 !--    MPI datatypes or rewriting exchange_horiz.
 !--    Moreover, varialbes will be resized in the following, including ghost
-!--    points. 
-!--    Start with 2D Integer variables. Please note, for 8-bit integer 
+!--    points.
+!--    Start with 2D Integer variables. Please note, for 8-bit integer
 !--    variables must be swapt to 32-bit integer before calling exchange_horiz.
        IF ( albedo_type_f%from_file )  THEN
@@ -1294,9 +1306,9 @@
 !
 !--    Exchange 1 ghost point for 3/4-D variables. For the sake of simplicity,
-!--    loop further dimensions to use 2D exchange routines. 
+!--    loop further dimensions to use 2D exchange routines.
 !--    This should be revised later by introducing new MPI datatypes.
        IF ( soil_type_f%from_file  .AND.  ALLOCATED( soil_type_f%var_3d ) )    &
        THEN
-          ALLOCATE( var_dum_int_3d(0:nz_soil,nys:nyn,nxl:nxr) ) 
+          ALLOCATE( var_dum_int_3d(0:nz_soil,nys:nyn,nxl:nxr) )
           var_dum_int_3d = soil_type_f%var_3d
           DEALLOCATE( soil_type_f%var_3d )
@@ -1463,5 +1475,5 @@
              ENDDO
              DEALLOCATE( var_dum_real_4d )
-          ENDIF 
+          ENDIF
        ENDIF
 
@@ -1695,5 +1707,5 @@
        USE indices,                                                            &
            ONLY:  nbgp, nx, nxl, nxr, ny, nyn, nys, nzb, nzt
-                  
+
 
        IMPLICIT NONE
@@ -1712,5 +1724,5 @@
        INTEGER(iwp), DIMENSION(nys-nbgp:nyn+nbgp,nxl-nbgp:nxr+nbgp) ::  var_exchange_int !< dummy variables used to exchange 32-bit Integer arrays
 
-       REAL(wp) ::  dum           !< dummy variable to skip columns while reading topography file   
+       REAL(wp) ::  dum           !< dummy variable to skip columns while reading topography file
 !
 !--    CPU measurement
@@ -1720,5 +1732,5 @@
           IF ( ii == io_group )  THEN
 !
-!--          Input via palm-input data standard 
+!--          Input via palm-input data standard
              IF ( input_pids_static )  THEN
 #if defined ( __netcdf )
@@ -1726,10 +1738,10 @@
 !--             Open file in read-only mode
                 CALL open_read_file( TRIM( input_file_static ) //              &
-                                     TRIM( coupling_char ), id_topo )  
-
-!
-!--             At first, inquire all variable names. 
-!--             This will be used to check whether an  input variable exist 
-!--             or not. 
+                                     TRIM( coupling_char ), id_topo )
+
+!
+!--             At first, inquire all variable names.
+!--             This will be used to check whether an  input variable exist
+!--             or not.
                 CALL inquire_num_variables( id_topo, num_vars )
 !
@@ -1747,32 +1759,32 @@
 !
 !--             Terrain height. First, get variable-related _FillValue attribute
-                IF ( check_existence( var_names, 'orography_2D' ) )  THEN
-                   terrain_height_f%from_file = .TRUE. 
+                IF ( check_existence( var_names, 'zt' ) )  THEN
+                   terrain_height_f%from_file = .TRUE.
                    CALL get_attribute( id_topo, char_fill,                     &
                                        terrain_height_f%fill,                  &
-                                       .FALSE., 'orography_2D' ) 
+                                       .FALSE., 'zt' )
 !
 !--                PE-wise reading of 2D terrain height.
                    ALLOCATE ( terrain_height_f%var(nys:nyn,nxl:nxr)  )
                    DO  i = nxl, nxr
-                      CALL get_variable( id_topo, 'orography_2D',              &
-                                         i, terrain_height_f%var(:,i) )  
+                      CALL get_variable( id_topo, 'zt',                        &
+                                         i, terrain_height_f%var(:,i) )
                    ENDDO
                 ELSE
-                   terrain_height_f%from_file = .FALSE. 
-                ENDIF
-
-!
-!--             Read building height. First, read its _FillValue attribute, 
+                   terrain_height_f%from_file = .FALSE.
+                ENDIF
+
+!
+!--             Read building height. First, read its _FillValue attribute,
 !--             as well as lod attribute
-                buildings_f%from_file = .FALSE. 
-                IF ( check_existence( var_names, 'buildings_2D' ) )  THEN
-                   buildings_f%from_file = .TRUE. 
+                buildings_f%from_file = .FALSE.
+                IF ( check_existence( var_names, 'buildings_2d' ) )  THEN
+                   buildings_f%from_file = .TRUE.
                    CALL get_attribute( id_topo, char_lod, buildings_f%lod,     &
-                                       .FALSE., 'buildings_2D' )     
+                                       .FALSE., 'buildings_2d' )
 
                    CALL get_attribute( id_topo, char_fill,                     &
                                        buildings_f%fill1,                      &
-                                       .FALSE., 'buildings_2D' )
+                                       .FALSE., 'buildings_2d' )
 
 !
@@ -1781,11 +1793,11 @@
                       ALLOCATE ( buildings_f%var_2d(nys:nyn,nxl:nxr) )
                       DO  i = nxl, nxr
-                         CALL get_variable( id_topo, 'buildings_2D',           &
-                                            i, buildings_f%var_2d(:,i) ) 
+                         CALL get_variable( id_topo, 'buildings_2d',           &
+                                            i, buildings_f%var_2d(:,i) )
                       ENDDO
-                   ELSE 
+                   ELSE
                       message_string = 'NetCDF attribute lod ' //              &
                                        '(level of detail) is not set ' //      &
-                                       'properly for buildings_2D.'
+                                       'properly for buildings_2d.'
                       CALL message( 'netcdf_data_input_mod', 'NDI000',         &
                                      1, 2, 0, 6, 0 )
@@ -1795,15 +1807,15 @@
 !--             If available, also read 3D building information. If both are
 !--             available, use 3D information.
-                IF ( check_existence( var_names, 'buildings_3D' ) )  THEN
-                   buildings_f%from_file = .TRUE. 
+                IF ( check_existence( var_names, 'buildings_3d' ) )  THEN
+                   buildings_f%from_file = .TRUE.
                    CALL get_attribute( id_topo, char_lod, buildings_f%lod,     &
-                                       .FALSE., 'buildings_3D' )     
+                                       .FALSE., 'buildings_3d' )
 
                    CALL get_attribute( id_topo, char_fill,                     &
                                        buildings_f%fill2,                      &
-                                       .FALSE., 'buildings_3D' )
+                                       .FALSE., 'buildings_3d' )
 
                    CALL get_dimension_length( id_topo, buildings_f%nz, 'z' )
- 
+
                    IF ( buildings_f%lod == 2 )  THEN
                       ALLOCATE( buildings_f%z(nzb:buildings_f%nz-1) )
@@ -1817,13 +1829,13 @@
                       DO  i = nxl, nxr
                          DO  j = nys, nyn
-                            CALL get_variable( id_topo, 'buildings_3D',        &
+                            CALL get_variable( id_topo, 'buildings_3d',        &
                                                i, j,                           &
                                                buildings_f%var_3d(:,j,i) )
                          ENDDO
                       ENDDO
-                   ELSE 
+                   ELSE
                       message_string = 'NetCDF attribute lod ' //              &
                                        '(level of detail) is not set ' //      &
-                                       'properly for buildings_3D.'
+                                       'properly for buildings_3d.'
                       CALL message( 'netcdf_data_input_mod', 'NDI001',         &
                                      1, 2, 0, 6, 0 )
@@ -1831,29 +1843,29 @@
                 ENDIF
 !
-!--             Read building IDs and its FillValue attribute. Further required 
+!--             Read building IDs and its FillValue attribute. Further required
 !--             for mapping buildings on top of orography.
                 IF ( check_existence( var_names, 'building_id' ) )  THEN
-                   building_id_f%from_file = .TRUE. 
+                   building_id_f%from_file = .TRUE.
                    CALL get_attribute( id_topo, char_fill,                     &
                                        building_id_f%fill, .FALSE.,            &
                                        'building_id' )
-             
+
 
                    ALLOCATE ( building_id_f%var(nys:nyn,nxl:nxr) )
                    DO  i = nxl, nxr
                       CALL get_variable( id_topo, 'building_id',               &
-                                          i, building_id_f%var(:,i) ) 
+                                          i, building_id_f%var(:,i) )
                    ENDDO
                 ELSE
-                   building_id_f%from_file = .FALSE. 
-                ENDIF
-!
-!--             Read building_type and required attributes. 
+                   building_id_f%from_file = .FALSE.
+                ENDIF
+!
+!--             Read building_type and required attributes.
                 IF ( check_existence( var_names, 'building_type' ) )  THEN
-                   building_type_f%from_file = .TRUE. 
+                   building_type_f%from_file = .TRUE.
                    CALL get_attribute( id_topo, char_fill,                     &
                                        building_type_f%fill, .FALSE.,          &
-                                       'building_type' ) 
-                
+                                       'building_type' )
+
                    ALLOCATE ( building_type_f%var(nys:nyn,nxl:nxr) )
                    DO  i = nxl, nxr
@@ -1882,9 +1894,9 @@
                 skip_n_rows = 0
                 DO WHILE ( skip_n_rows < ny - nyn )
-                   READ( 90, * )  
+                   READ( 90, * )
                    skip_n_rows = skip_n_rows + 1
                 ENDDO
 !
-!--             Read data from nyn to nys and nxl to nxr. Therefore, skip 
+!--             Read data from nyn to nys and nxl to nxr. Therefore, skip
 !--             column until nxl-1 is reached
                 ALLOCATE ( buildings_f%var_2d(nys:nyn,nxl:nxr) )
@@ -1896,5 +1908,5 @@
 
                 GOTO 12
-          
+
  10             message_string = 'file TOPOGRAPHY'//TRIM( coupling_char )//    &
                                  ' does not exist'
@@ -1908,5 +1920,5 @@
                 buildings_f%from_file = .TRUE.
 
-             ENDIF 
+             ENDIF
 
           ENDIF
@@ -1920,10 +1932,10 @@
 !
 !--    Check for minimum requirement to setup building topography. If buildings
-!--    are provided, also an ID and a type are required. 
-!--    Note, doing this check in check_parameters 
+!--    are provided, also an ID and a type are required.
+!--    Note, doing this check in check_parameters
 !--    will be too late (data will be used for grid inititialization before).
        IF ( input_pids_static )  THEN
           IF ( buildings_f%from_file  .AND.                                    &
-               .NOT. building_id_f%from_file )  THEN                        
+               .NOT. building_id_f%from_file )  THEN
              message_string = 'If building heigths are prescribed in ' //      &
                               'static input file, also an ID is required.'
@@ -1932,6 +1944,6 @@
        ENDIF
 !
-!--    In case no terrain height is provided by static input file, allocate 
-!--    array nevertheless and set terrain height to 0, which simplifies 
+!--    In case no terrain height is provided by static input file, allocate
+!--    array nevertheless and set terrain height to 0, which simplifies
 !--    topography initialization.
        IF ( .NOT. terrain_height_f%from_file )  THEN
@@ -1940,5 +1952,5 @@
        ENDIF
 !
-!--    Finally, exchange 1 ghost point for building ID and type. 
+!--    Finally, exchange 1 ghost point for building ID and type.
 !--    In case of non-cyclic boundary conditions set Neumann conditions at the
 !--    lateral boundaries.
@@ -1956,6 +1968,6 @@
           ENDIF
           IF ( .NOT. bc_lr_cyc )  THEN
-             IF ( nxl == 0  )  building_id_f%var(:,-1)   = building_id_f%var(:,0)  
-             IF ( nxr == nx )  building_id_f%var(:,nx+1) = building_id_f%var(:,nx)        
+             IF ( nxl == 0  )  building_id_f%var(:,-1)   = building_id_f%var(:,0)
+             IF ( nxr == nx )  building_id_f%var(:,nx+1) = building_id_f%var(:,nx)
           ENDIF
        ENDIF
@@ -1975,6 +1987,6 @@
           ENDIF
           IF ( .NOT. bc_lr_cyc )  THEN
-             IF ( nxl == 0  )  building_type_f%var(:,-1)   = building_type_f%var(:,0)  
-             IF ( nxr == nx )  building_type_f%var(:,nx+1) = building_type_f%var(:,nx)        
+             IF ( nxl == 0  )  building_type_f%var(:,-1)   = building_type_f%var(:,0)
+             IF ( nxr == nx )  building_type_f%var(:,nx+1) = building_type_f%var(:,nx)
           ENDIF
        ENDIF
@@ -1986,5 +1998,5 @@
 ! ------------
 !> Reads initialization data of u, v, w, pt, q, geostrophic wind components,
-!> as well as soil moisture and soil temperature, derived from larger-scale 
+!> as well as soil moisture and soil temperature, derived from larger-scale
 !> model (COSMO) by Inifor.
 !------------------------------------------------------------------------------!
@@ -2014,5 +2026,5 @@
        INTEGER(iwp) ::  off_j      !< offset in y-direction used for reading the v-component
 
-       LOGICAL      ::  check_passed !< flag indicating if a check passed 
+       LOGICAL      ::  check_passed !< flag indicating if a check passed
 
 !
@@ -2021,13 +2033,13 @@
 !
 !--    Please note, Inifor is designed to provide initial data for u and v for
-!--    the prognostic grid points in case of lateral Dirichlet conditions. 
-!--    This means that Inifor provides data from nxlu:nxr (for u) and 
+!--    the prognostic grid points in case of lateral Dirichlet conditions.
+!--    This means that Inifor provides data from nxlu:nxr (for u) and
 !--    from nysv:nyn (for v) at the left and south domain boundary, respectively.
-!--    However, as work-around for the moment, PALM will run with cyclic 
-!--    conditions and will be initialized with data provided by Inifor 
-!--    boundaries in case of Dirichlet. 
+!--    However, as work-around for the moment, PALM will run with cyclic
+!--    conditions and will be initialized with data provided by Inifor
+!--    boundaries in case of Dirichlet.
 !--    Hence, simply set set nxlu/nysv to 1 (will be reset to its original value
 !--    at the end of this routine.
-       IF ( bc_lr_cyc  .AND.  nxl == 0 )  nxlu = 1  
+       IF ( bc_lr_cyc  .AND.  nxl == 0 )  nxlu = 1
        IF ( bc_ns_cyc  .AND.  nys == 0 )  nysv = 1
 
@@ -2042,8 +2054,8 @@
 !--          Open file in read-only mode
              CALL open_read_file( TRIM( input_file_dynamic ) //                &
-                                  TRIM( coupling_char ), id_dynamic )  
-
-!
-!--          At first, inquire all variable names. 
+                                  TRIM( coupling_char ), id_dynamic )
+
+!
+!--          At first, inquire all variable names.
              CALL inquire_num_variables( id_dynamic, num_vars )
 !
@@ -2053,5 +2065,5 @@
 !
 !--          Read vertical dimension of scalar und w grid. Will be used for
-!--          inter- and extrapolation in case of stretched numeric grid. 
+!--          inter- and extrapolation in case of stretched numeric grid.
 !--          This will be removed when Inifor is able to handle stretched grids.
              CALL get_dimension_length( id_dynamic, init_3d%nzu, 'z'     )
@@ -2060,5 +2072,5 @@
 !
 !--          Read also the horizontal dimensions. These are used just used fo
-!--          checking the compatibility with the PALM grid before reading. 
+!--          checking the compatibility with the PALM grid before reading.
              CALL get_dimension_length( id_dynamic, init_3d%nx,  'x'  )
              CALL get_dimension_length( id_dynamic, init_3d%nxu, 'xu' )
@@ -2068,8 +2080,8 @@
 !
 !--          Check for correct horizontal and vertical dimension. Please note,
-!--          checks are performed directly here and not called from 
-!--          check_parameters as some varialbes are still not allocated there.  
-!--          Moreover, please note, u- and v-grid has 1 grid point less on 
-!--          Inifor grid. 
+!--          checks are performed directly here and not called from
+!--          check_parameters as some varialbes are still not allocated there.
+!--          Moreover, please note, u- and v-grid has 1 grid point less on
+!--          Inifor grid.
              IF ( init_3d%nx-1 /= nx  .OR.  init_3d%nxu-1 /= nx - 1  .OR.      &
                   init_3d%ny-1 /= ny  .OR.  init_3d%nyv-1 /= ny - 1 )  THEN
@@ -2102,9 +2114,9 @@
              ENDIF
 !
-!--          Read initial geostrophic wind components at 
-!--          t = 0 (index 1 in file). 
-             IF ( check_existence( var_names, 'ls_forcing_ug' ) )  THEN
+!--          Read initial geostrophic wind components at
+!--          t = 0 (index 1 in file).
+             IF ( check_existence( var_names, 'tend_ug' ) )  THEN
                 ALLOCATE( init_3d%ug_init(nzb:nzt+1) )
-                CALL get_variable_pr( id_dynamic, 'ls_forcing_ug', 1,          &
+                CALL get_variable_pr( id_dynamic, 'tend_ug', 1,                &
                                       init_3d%ug_init )
                 init_3d%from_file_ug = .TRUE.
@@ -2112,7 +2124,7 @@
                 init_3d%from_file_ug = .FALSE.
              ENDIF
-             IF ( check_existence( var_names, 'ls_forcing_vg' ) )  THEN
+             IF ( check_existence( var_names, 'tend_vg' ) )  THEN
                 ALLOCATE( init_3d%vg_init(nzb:nzt+1) )
-                CALL get_variable_pr( id_dynamic, 'ls_forcing_vg', 1,          &
+                CALL get_variable_pr( id_dynamic, 'tend_vg', 1,                &
                                       init_3d%vg_init )
                 init_3d%from_file_vg = .TRUE.
@@ -2121,15 +2133,15 @@
              ENDIF
 !
-!--          Read inital 3D data of u, v, w, pt and q, 
+!--          Read inital 3D data of u, v, w, pt and q,
 !--          derived from COSMO model. Read PE-wise yz-slices.
-!--          Please note, the u-, v- and w-component are defined on different 
+!--          Please note, the u-, v- and w-component are defined on different
 !--          grids with one element less in the x-, y-,
 !--          and z-direction, respectively. Hence, reading is subdivided
-!--          into separate loops. Moreover, i and j are used 
+!--          into separate loops. Moreover, i and j are used
 !--          as start index in the NF90 interface.
-!--          The passed arguments for u, and v are (i,j)-1, respectively, 
+!--          The passed arguments for u, and v are (i,j)-1, respectively,
 !--          in contrast to the remaining quantities. This is because in case
-!--          of forcing is applied, the input data for u and v has one 
-!--          element less along the x- and y-direction respectively. 
+!--          of forcing is applied, the input data for u and v has one
+!--          element less along the x- and y-direction respectively.
 !--          Read u-component
              IF ( check_existence( var_names, 'init_u' ) )  THEN
@@ -2152,12 +2164,12 @@
                 ELSEIF ( init_3d%lod_u == 2 )  THEN
 !
-!--                Set offset value. In case of Dirichlet conditions at the left 
-!--                domain boundary, the u component starts at nxl+1. This case, 
+!--                Set offset value. In case of Dirichlet conditions at the left
+!--                domain boundary, the u component starts at nxl+1. This case,
 !--                the passed start-index for reading the NetCDF data is shifted
-!--                by -1.  
+!--                by -1.
                    off_i = 1 !MERGE( 1, 0, forcing )
 
                    DO  i = nxlu, nxr
-                      DO  j = nys, nyn    
+                      DO  j = nys, nyn
                          CALL get_variable( id_dynamic, 'init_u', i-off_i, j,  &
                                             u(nzb+1:nzt+1,j,i) )
